%% ``The contents of this file are subject to the Erlang Public License,
%% Version 1.0, (the "License"); you may not use this file except in
%% compliance with the License. You may obtain a copy of the License at
%% http://www.erlang.org/EPL1_0.txt
%% 
%% Software distributed under the License is distributed on an "AS IS"
%% basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
%% the License for the specific language governing rights and limitations
%% under the License.
%% 
%% The Original Code is Erlang-4.7.3, December, 1998.
%% 
%% The Initial Developer of the Original Code is Ericsson Telecom
%% AB. Portions created by Ericsson are Copyright (C), 1998, Ericsson
%% Telecom AB. All Rights Reserved.
%% 
%% Contributor(s): ______________________________________.''
%%
-module(jive_bridge).
-behaviour(supervisor_bridge).
-copyright('Copyright (c) 1991-97 Ericsson Telecom AB').
-author('jocke@erix.ericsson.se').
-export([start/0,start/2,init/1,terminate/2]).

%% start
start() ->
  start(14000,[{clock,start,2}]).

start(Port,Functions) ->
  supervisor_bridge:start_link(jive_bridge,[Port,Functions]).

%% init
init([Port,all]) ->
  Pid=jive:start(Port),
  jive:allow(all),
  {ok,Pid,[Port,all]};
init([Port,Functions]) ->
  Pid=jive:start(Port),
  allow(Functions),
  {ok,Pid,[Port,Functions]}.

allow([]) ->
  ok;
allow([{M,F,A}|Rest]) ->
  jive:allow({M,F,A}),
  allow(Rest).

%% terminate
terminate(Reason,State) ->
  jive:stop().
