%% ``The contents of this file are subject to the Erlang Public License,
%% Version 1.0, (the "License"); you may not use this file except in
%% compliance with the License. You may obtain a copy of the License at
%% http://www.erlang.org/EPL1_0.txt
%% 
%% Software distributed under the License is distributed on an "AS IS"
%% basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
%% the License for the specific language governing rights and limitations
%% under the License.
%% 
%% The Original Code is Erlang-4.7.3, December, 1998.
%% 
%% The Initial Developer of the Original Code is Ericsson Telecom
%% AB. Portions created by Ericsson are Copyright (C), 1998, Ericsson
%% Telecom AB. All Rights Reserved.
%% 
%% Contributor(s): ______________________________________.''
%%
-module(jive_sup).
-behaviour(supervisor).
-copyright('Copyright (c) 1991-97 Ericsson Telecom AB').
-author('jocke@erix.ericsson.se').
-export([start/2,stop/1,init/1]).

%% start
start(Type,State) ->
  supervisor:start_link({local,jive_sup},jive_sup,[]).

%% stop
stop(State) ->
  ok.

%% init
init([]) ->
  case catch application:get_env(jive,args) of
    {ok,Args} ->
      {ok,{{one_for_one,10,3600},
	   [{jive_bridge,{jive_bridge,start,Args},
	     permanent,brutal_kill,worker,[jive_sup,jive_bridge,jive]}]}};
    _ ->
      {ok,{{one_for_one,10,3600},
	   [{jive_bridge,{jive_bridge,start,[]},
	     permanent,brutal_kill,worker,[jive_sup,jive_bridge,jive]}]}}
  end.
